Package io.vertx.ext.consul

## Class CheckQueryOptions

- java.lang.Object
- - io.vertx.ext.consul.CheckQueryOptions

-     public class CheckQueryOptions
      extends Object

  Options used to requesting list of checks
  Author:
    Ruslan Sennov

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CheckQueryOptions()` | Default constructor
    `CheckQueryOptions​(JsonObject json)` | Constructor from JSON

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BlockingQueryOptions` | `getBlockingOptions()` | Get options for blocking query
    `String` | `getDc()` | Returns the datacenter that ultimately provided the list of nodes
    `String` | `getFilter()` | Returns the expression used to filter the queries results prior to returning the data
    `String` | `getNear()` | Get node name for sorting the list in ascending order based on the estimated round trip time from that node.
    `String` | `getNs()` | Returns the namespace to list checks
    `CheckQueryOptions` | `setBlockingOptions​(BlockingQueryOptions options)` | Set options for blocking query
    `CheckQueryOptions` | `setDc​(String dc)` | Set an optional datacenter.
    `CheckQueryOptions` | `setFilter​(String expression)` | Set the expression to filter the queries results prior to returning the data
    `CheckQueryOptions` | `setNear​(String near)` | Set node name for sorting the list in ascending order based on the estimated round trip time from that node.
    `CheckQueryOptions` | `setNs​(String namespace)` | Sets the optional namespace to list checks.
    `JsonObject` | `toJson()` | Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckQueryOptions

          public CheckQueryOptions()

      Default constructor

    - #### CheckQueryOptions

          public CheckQueryOptions​(JsonObject json)

      Constructor from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### getDc

          public String getDc()

      Returns the datacenter that ultimately provided the list of nodes
      Returns:
        the datacenter that ultimately provided the list of nodes

    - #### setDc

          public CheckQueryOptions setDc​(String dc)

      Set an optional datacenter. This will default to the datacenter of the agent being queried
      Parameters:
        `dc` - datacenter

    - #### getFilter

          public String getFilter()

      Returns the expression used to filter the queries results prior to returning the data
      Returns:
        string of selectors and filter operations
      See Also:
        Filtering

    - #### setFilter

          public CheckQueryOptions setFilter​(String expression)

      Set the expression to filter the queries results prior to returning the data
      Parameters:
        `expression` - string of selectors and filter operations
      See Also:
        Supported selectors and operations

    - #### getNs

          public String getNs()

      Returns the namespace to list checks
      Returns:
        namespace

    - #### setNs

          public CheckQueryOptions setNs​(String namespace)

      Sets the optional namespace to list checks. By default, the namespace will be inherited from the request's ACL token or will default to the default namespace.
      Parameters:
        `namespace` -

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON

    - #### getNear

          public String getNear()

      Get node name for sorting the list in ascending order based on the estimated round trip time from that node.
      Returns:
        the node name

    - #### setNear

          public CheckQueryOptions setNear​(String near)

      Set node name for sorting the list in ascending order based on the estimated round trip time from that node.
      Parameters:
        `near` - the node name
      Returns:
        reference to this, for fluency

    - #### getBlockingOptions

          public BlockingQueryOptions getBlockingOptions()

      Get options for blocking query
      Returns:
        the blocking options

    - #### setBlockingOptions

          public CheckQueryOptions setBlockingOptions​(BlockingQueryOptions options)

      Set options for blocking query
      Parameters:
        `options` - the blocking options
      Returns:
        reference to this, for fluency